Anonymous | Login
Project:
RSS
  
News | My View | View Issues | Roadmap | Summary

View Issue DetailsJump to Notes ] Issue History ] Print ]
ID
0037387
TypeCategorySeverityReproducibilityDate SubmittedLast Update
defect[Openbravo ERP] A. Platformminoralways2017-11-27 10:042018-01-03 12:39
ReportercaristuView Statuspublic 
Assigned Tocaristu 
PriorityhighResolutionfixedFixed in Version3.0PR18Q1
StatusclosedFix in branchFixed in SCM revision3948e44cc215
ProjectionnoneETAnoneTarget Version
OSAnyDatabaseAnyJava version
OS VersionDatabase versionAnt version
Product VersionSCM revision 
Review Assigned Toalostale
Web browser
ModulesCore
Regression level
Regression date
Regression introduced in release
Regression introduced by commit
Triggers an Emergency PackNo
Summary

0037387: ADTreeDatasourceService should take into account organization of the referenced nodes

DescriptionADTreeDatasourceService should take into account the organization of the elements referenced by the tree nodes.

Note that the ADTreeDatasourceService is disabling[1] the organization filter when fetching the tree nodes, but nevertheless it should take into account the organization of the element referenced by the node.

[1] https://code.openbravo.com/erp/devel/pi/file/tip/modules/org.openbravo.service.datasource/src/org/openbravo/service/datasource/ADTreeDatasourceService.java#l264 [^]
Steps To Reproduce- As F&B Group Admin
  1) Create a new role:
    - Give it access to the Product Category window
    - Give it access just to the "F&B Region Sur" organization.
  2) Create a Product Category for the "F&B Region Norte" window
- With the the role created in Step 1)
  3) Navigate to the "Product Category" window. Note that the record created in step 2 is not displayed.
  4) Switch into the tree view, note that the category created in step 2) is now visible.
TagsNo tags attached.
Attached Files

- Relationships Relation Graph ] Dependency Graph ]

-  Notes
(0100738)
hgbot (developer)
2017-11-27 11:50

Repository: erp/devel/pi
Changeset: ac4b02fa805d90652b73dddb500cbb5529d3afcc
Author: Carlos Aristu <carlos.aristu <at> openbravo.com>
Date: Mon Nov 27 11:47:35 2017 +0100
URL: http://code.openbravo.com/erp/devel/pi/rev/ac4b02fa805d90652b73dddb500cbb5529d3afcc [^]

related to issue 37387: initial code improvements

  - Add constants that were defined as local variables
  - getTree and createTree private methods were defining an unused parameter
  - Avoid String concatenation in log messages
  - Use diamond operator

---
M modules/org.openbravo.service.datasource/src/org/openbravo/service/datasource/ADTreeDatasourceService.java
---
(0100739)
hgbot (developer)
2017-11-27 13:45

Repository: erp/devel/pi
Changeset: 3948e44cc2159aa7fbe345cf0c68b158e475320e
Author: Carlos Aristu <carlos.aristu <at> openbravo.com>
Date: Mon Nov 27 13:45:01 2017 +0100
URL: http://code.openbravo.com/erp/devel/pi/rev/3948e44cc2159aa7fbe345cf0c68b158e475320e [^]

fixes bug 37387: Check the org of the element referenced by the ADTree node

  The organization of the element referenced by the AD Tree node should be part of the readable organizations of the current context in order to allow it to be displayed in the tree view.

---
M modules/org.openbravo.service.datasource/src/org/openbravo/service/datasource/ADTreeDatasourceService.java
---
(0100742)
hgbot (developer)
2017-11-27 16:48

Repository: erp/devel/pi
Changeset: f199514d7b6f5b167e94990c82c0316e9a7711cd
Author: Carlos Aristu <carlos.aristu <at> openbravo.com>
Date: Mon Nov 27 16:47:46 2017 +0100
URL: http://code.openbravo.com/erp/devel/pi/rev/f199514d7b6f5b167e94990c82c0316e9a7711cd [^]

related to issue 37387: improve readability of fetchNodeChildren method

---
M modules/org.openbravo.service.datasource/src/org/openbravo/service/datasource/ADTreeDatasourceService.java
---
(0100882)
alostale (developer)
2017-12-01 10:30

reviewed + tested
(0101460)
hudsonbot (developer)
2018-01-03 12:39

A changeset related to this issue has been promoted main and to the
Central Repository, after passing a series of tests.

Promotion changeset: https://code.openbravo.com/erp/devel/main/rev/c81e0d3cbab5 [^]
Maturity status: Test
(0101461)
hudsonbot (developer)
2018-01-03 12:39

A changeset related to this issue has been promoted main and to the
Central Repository, after passing a series of tests.

Promotion changeset: https://code.openbravo.com/erp/devel/main/rev/c81e0d3cbab5 [^]
Maturity status: Test
(0101462)
hudsonbot (developer)
2018-01-03 12:39

A changeset related to this issue has been promoted main and to the
Central Repository, after passing a series of tests.

Promotion changeset: https://code.openbravo.com/erp/devel/main/rev/c81e0d3cbab5 [^]
Maturity status: Test

- Issue History
Date Modified Username Field Change
2017-11-27 10:04 caristu New Issue
2017-11-27 10:04 caristu Assigned To => platform
2017-11-27 10:04 caristu Modules => Core
2017-11-27 10:04 caristu Triggers an Emergency Pack => No
2017-11-27 10:27 caristu Summary Records displayed in tree view which are not accessible in grid view => Records of a table using AD Tree Node structure displayed in tree view which are not accessible in grid view
2017-11-27 10:27 caristu Description Updated View Revisions
2017-11-27 10:28 caristu Status new => acknowledged
2017-11-27 11:04 caristu Summary Records of a table using AD Tree Node structure displayed in tree view which are not accessible in grid view => ADTreeDatasourceService should take into account organization of the referenced nodes
2017-11-27 11:04 caristu Description Updated View Revisions
2017-11-27 11:05 caristu Description Updated View Revisions
2017-11-27 11:19 caristu Description Updated View Revisions
2017-11-27 11:45 caristu Assigned To platform => caristu
2017-11-27 11:50 hgbot Checkin
2017-11-27 11:50 hgbot Note Added: 0100738
2017-11-27 13:45 hgbot Checkin
2017-11-27 13:45 hgbot Note Added: 0100739
2017-11-27 13:45 hgbot Status acknowledged => resolved
2017-11-27 13:45 hgbot Resolution open => fixed
2017-11-27 13:45 hgbot Fixed in SCM revision => http://code.openbravo.com/erp/devel/pi/rev/3948e44cc2159aa7fbe345cf0c68b158e475320e [^]
2017-11-27 16:28 caristu Review Assigned To => alostale
2017-11-27 16:48 hgbot Checkin
2017-11-27 16:48 hgbot Note Added: 0100742
2017-12-01 10:30 alostale Note Added: 0100882
2017-12-01 10:30 alostale Status resolved => closed
2017-12-01 10:30 alostale Fixed in Version => 3.0PR18Q1
2018-01-03 12:39 hudsonbot Checkin
2018-01-03 12:39 hudsonbot Note Added: 0101460
2018-01-03 12:39 hudsonbot Checkin
2018-01-03 12:39 hudsonbot Note Added: 0101461
2018-01-03 12:39 hudsonbot Checkin
2018-01-03 12:39 hudsonbot Note Added: 0101462


Copyright © 2000 - 2009 MantisBT Group
Powered by Mantis Bugtracker